Bug 267661 - grubby segfaults
grubby segfaults
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 All
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 12:03 EDT by Orion Poplawski
Modified: 2008-05-15 18:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.0.12-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 17:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-30 12:03:46 EDT
Description of problem:

Noticed that grubby segfaulted today installing a new kernel.  strace grubby
--default-kernel shows:

munmap(0xb7fc4000, 4096)                = 0
ioctl(6, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 00, 00, 00, fe, 00],
mx_sb_len=32, iovec_count=0, dxfer_len=254, timeout=5000, flags=0,
data[254]=["\0\0\3\22\213\0\1>SEAGATE ST318436LW      "...], status=00,
masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=110,
duration=1, info=0}) = 0
ioctl(6, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 01, 00, 00, fe, 00],
mx_sb_len=32, iovec_count=0, dxfer_len=254, timeout=5000, flags=0,
data[254]=["\0\0\0\t\0\200\201\300\301\302\303\321\322TE ST318436LW      "...],
status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0,
resid=241, duration=1, info=0}) = 0
ioctl(6, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 01, 80, 00, fe, 00],
mx_sb_len=32, iovec_count=0, dxfer_len=254, timeout=5000, flags=0,
data[254]=["\0\200\0\0243BM0LMZP00007127NRQALW      "...], status=00,
masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=230,
duration=1, info=0}) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

(gdb) bt
#0  *__GI_strncmp (s1=0x80e22a8 "SEAGATE", s2=0x0, n=7) at strncmp.c:43
#1  0x006dbebd in ?? () from /lib/bdevid//scsi.so
#2  0x080e22a8 in ?? ()
#3  0x00000000 in ?? ()

Can't seem to locate debuginfo for /lib/bdevid//scsi.so (nash)

Version-Release number of selected component (if applicable):
mkinitrd-6.0.12-1.fc8
Comment 1 Clyde E. Kunkel 2007-09-06 11:36:34 EDT
Seeing the same thing. Also seeing a lot of ignored bzs on this problem 
Comment 2 Peter Jones 2007-09-07 17:36:37 EDT
Fixed in mkinitrd-6.0.12-2 .
Comment 3 Clyde E. Kunkel 2007-09-07 23:17:39 EDT
Still occurs in .14-1 for me.

Will try uninstall and reinstall.
Comment 4 Clyde E. Kunkel 2007-09-11 12:41:22 EDT
[root@P4C800ED ~]# rpm -q mkinitrd
mkinitrd-6.0.15-1.fc8
[root@P4C800ED ~]# 

...fixed problems for me.  Thanks.
Comment 5 Ludek Smolik 2008-05-15 18:38:29 EDT
I have the same problem in Fedora 8 and 9 /64:

rpm -q mkinitrd
mkinitrd-6.0.52-2.fc9.x86_64

Installing: kernel                       ##################### [ 80/154] 
grubby recieved SIGSEGV!  Backtrace (6):
/sbin/grubby[0x407ab0]
/lib64/libc.so.6[0x7fe49b8a12a0]
/sbin/grubby[0x402850]
/sbin/grubby[0x40766d]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x7fe49b88d32a]
/sbin/grubby[0x401999]

Note You need to log in before you can comment on or make changes to this bug.